<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 

$art_art_id=$_POST['art_art_id'];
$art_id=$_POST['art_id'];
$cantidad=$_POST['peso'];

$can=mysqli_query($con, "SELECT * from articulos WHERE art_id='$art_id' and empresa='$empresa' ");
$row= mysqli_fetch_array($can);
$art_referencia=$row['art_referencia'];
$nombre=$row['art_nombre'];
if ($row['art_iva']>0){$art_iva=$row['art_iva'];} else { $art_iva='0';}
$vent_tipo=$row['art_tipo'];

$can3=mysqli_query($con, "SELECT * from cliente c,cliente_venta_temp cc where c.clie_id=cc.cvt_clie_id and cc.usuario='$usu_id' and cc.empresa='$empresa'");
if ($row3= mysqli_fetch_array($can3))
{
    $tarifas_tar_id=$row3['tarifas_tar_id'];
}
else 
{
    $can4=mysqli_query($con,"SELECT * FROM cliente where clie_nombre='CLIENTE MOSTRADOR'") or die(mysqli_error($con)); 
    $row4=mysqli_fetch_array($can4);
    $tarifas_tar_id=$row4['tarifas_tar_id'];
}

$can5=mysqli_query($con, "SELECT * from precio WHERE articulos_art_id='$art_id' and tarifas_tar_id='$tarifas_tar_id' and empresa='$empresa' ");
$row5= mysqli_fetch_array($can5);
$numrows = $row5['pre_id'];
if ($numrows>0)
{
    $pre_precio=$row5['pre_precio'];
}
else
{
    $pre_precio=$row['art_pvp'];
}

$atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_art_id'");
$atri1 = mysqli_fetch_array($atri1);
$atributo1=$atri1['atributo1'];

$atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
$atri11 = mysqli_fetch_array($atri11);
if (isset($atri11['atri_nombre'])) { $atri_nombre=$atri11['atri_nombre']; } else { $atri_nombre='';}

$atributo2=$atri1['atributo2'];
$atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
$atri2 = mysqli_fetch_array($atri2);
if (isset($atri2['atri_nombre2'])) { $atri_nombre2=$atri2['atri_nombre2']; } else { $atri_nombre2='';}

$atri='('.$atri_nombre.' - '.$atri_nombre2.')';
$atributos = str_replace ( "( - )", '', $atri);




$sqll=mysqli_query($con,"SELECT vent_art_id FROM venta_detalle_temp WHERE art_art_id='$art_art_id' and vent_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'");
if($roww=mysqli_fetch_array($sqll))
{ 
    $can7=mysqli_query($con,"SELECT * FROM venta_detalle_temp WHERE art_art_id='$art_art_id' and vent_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));  
    while($dato=mysqli_fetch_array($can7))
    {
        $cantidad_existente=$dato['vent_cantidad'];
        $suma=$cantidad_existente+$cantidad;
    }
    $registros=mysqli_query($con,"UPDATE venta_detalle_temp Set vent_cantidad='$suma' 
        Where art_art_id='$art_art_id' and vent_art_id='$art_id' and empresa='$empresa' and usuario='$usu_id' ") or die(mysqli_error($con));
}
else
{   
    $can2=mysqli_query($con,"SELECT * FROM articulos_presentacion where pres_art_id='$art_id' and pres_defecto='si' ") or die(mysqli_error($con)); 
    $dato2=mysqli_fetch_array($can2);
    $pres_unidad=$dato2['pres_unidad'];
            
    $insert_tmp=mysqli_query($con, "INSERT INTO venta_detalle_temp (art_art_id,vent_art_id,vent_referencia,vent_nombre,vent_unidad,vent_x_cantidad,vent_cantidad,vent_iva,vent_desc,vent_precio,vent_tipo,usuario,empresa) 
    VALUES ('$art_art_id','$art_id','$art_referencia','$nombre $atributos','$pres_unidad','1','$cantidad','$art_iva','0','$pre_precio','$vent_tipo','$usu_id','$empresa')") or die(mysqli_error($con));
}

?>